%{?nodejs_find_provides_and_requires}

%global packagename engine.io-parser
%global enable_tests 1

Name:		nodejs-engine-dot-io-parser
Version:	2.1.2
Release:	1%{?dist}
Summary:	Parser for the client for the realtime Engine

License:	MIT
URL:		https://github.com/socketio/engine.io-parser.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arraybuffer.slice)
BuildRequires:	npm(after)
BuildRequires:	npm(base64-arraybuffer)
BuildRequires:	npm(blob)
BuildRequires:	npm(has-binary2)


%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(expect.js)
%endif

%description
Parser for the client for the realtime Engine


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Apr 27 2018 Jared K. Smith <jsmith@fedoraproject.org> - 2.1.2-1
- Initial packaging
